---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# View stock details of a product

Returns stock details of a given product

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Product",
      "description": "Product represents the services or things given company sells in the business."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/products/{id}/stocks": {
      "get": {
        "tags": [
          "Product"
        ],
        "operationId": "product.viewStocks",
        "summary": "View stock details of a product",
        "description": "Returns stock details of a given product",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The resource's identifier.",
            "schema": {
              "type": "string",
              "pattern": "\\d+",
              "example": "17",
              "description": "Resource identifier."
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "properties": {
                    "data": {
                      "x-description-missing": true,
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "pattern": "\\d+",
                          "example": "17",
                          "description": "Resource identifier."
                        },
                        "totals": {
                          "x-description-missing": true,
                          "type": "object",
                          "properties": {
                            "pseudo": {
                              "type": "number",
                              "format": "float",
                              "nullable": true
                            },
                            "sellable": {
                              "type": "number",
                              "format": "float"
                            },
                            "reserved": {
                              "type": "number",
                              "format": "float"
                            },
                            "correction": {
                              "type": "number",
                              "format": "float",
                              "nullable": true
                            },
                            "physical": {
                              "type": "number",
                              "format": "float"
                            },
                            "openSalesOrders": {
                              "type": "number",
                              "format": "float",
                              "nullable": true
                            },
                            "calculated": {
                              "type": "number",
                              "format": "float"
                            },
                            "producible": {
                              "type": "number",
                              "format": "float",
                              "nullable": true
                            }
                          },
                          "example": {
                            "pseudo": null,
                            "sellable": 75,
                            "reserved": 20,
                            "correction": -5,
                            "physical": 100.5,
                            "openSalesOrders": 12.3,
                            "calculated": 95.5,
                            "producible": 4
                          }
                        },
                        "warehouses": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              },
                              "physical": {
                                "type": "number",
                                "format": "float"
                              }
                            }
                          }
                        },
                        "salesChannels": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              },
                              "isShopActive": {
                                "type": "boolean",
                                "description": "Whether the sales channel itself is active."
                              },
                              "isProductSalesChannelSettingActive": {
                                "type": "boolean",
                                "description": "Whether the product-sales-channel connection is active."
                              },
                              "pseudo": {
                                "type": "number",
                                "format": "float",
                                "nullable": true,
                                "description": "calculated stock from pseudo number formula, null if not defined or invalid"
                              },
                              "correction": {
                                "type": "number",
                                "format": "float",
                                "nullable": true,
                                "description": "The stock in the sales channel is adjusted up or down by this value."
                              },
                              "useIndividualSalesChannelSettings": {
                                "type": "boolean",
                                "description": "Whether individual sales channel settings are used instead of product-level settings."
                              },
                              "isStockSyncActive": {
                                "type": "boolean",
                                "description": "Whether stock synchronization is active for this product in this sales channel."
                              }
                            }
                          }
                        }
                      },
                      "example": {
                        "id": "123",
                        "totals": {
                          "pseudo": null,
                          "sellable": 75,
                          "reserved": 20,
                          "correction": -5,
                          "physical": 100.5,
                          "openSalesOrders": 12.3,
                          "calculated": 95.5,
                          "producible": 4
                        },
                        "warehouses": [
                          {
                            "id": "1",
                            "physical": 50.5
                          },
                          {
                            "id": "2",
                            "physical": 50
                          }
                        ],
                        "salesChannels": [
                          {
                            "id": "1",
                            "isShopActive": true,
                            "isProductSalesChannelSettingActive": false,
                            "pseudo": 10,
                            "correction": -40.5,
                            "useIndividualSalesChannelSettings": true,
                            "isStockSyncActive": true
                          },
                          {
                            "id": "2",
                            "isShopActive": false,
                            "isProductSalesChannelSettingActive": true,
                            "pseudo": null,
                            "correction": null,
                            "useIndividualSalesChannelSettings": false,
                            "isStockSyncActive": false
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "404": {
            "description": "Resource was not found or not enough access privileges"
          },
          "406": {
            "description": "Requested resource representation does not exist."
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```